##
## Copyright (c) 2016-2019 Genomics England Ltd.
##
## This file is part of PanelApp
## (see https://panelapp.genomicsengland.co.uk).
##
## Licensed to the Apache Software Foundation (ASF) under one
## or more contributor license agreements.  See the NOTICE file
## distributed with this work for additional information
## regarding copyright ownership.  The ASF licenses this file
## to you under the Apache License, Version 2.0 (the
## "License"); you may not use this file except in compliance
## with the License.  You may obtain a copy of the License at
##
##   http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing,
## software distributed under the License is distributed on an
## "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
## KIND, either express or implied.  See the License for the
## specific language governing permissions and limitations
## under the License.
##
# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-05-18 15:54
from __future__ import unicode_literals

import markdownx.models
from django.db import (
    migrations,
    models,
)

import panelapp.utils.storage


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="HomeText",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("section", models.IntegerField()),
                ("title", models.CharField(max_length=32)),
                ("href", models.CharField(max_length=32)),
                ("text", markdownx.models.MarkdownxField()),
            ],
        ),
        migrations.CreateModel(
            name="Image",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "image",
                    models.FileField(
                        storage=panelapp.utils.storage.OverwriteStorage(),
                        upload_to="images",
                    ),
                ),
                (
                    "alt",
                    models.CharField(max_length=64, verbose_name="Alterative text"),
                ),
                (
                    "title",
                    models.CharField(
                        blank=True,
                        max_length=128,
                        null=True,
                        verbose_name="Image title",
                    ),
                ),
            ],
        ),
    ]
